/*
 * MINIGUI - Harbour Win32 GUI library 
 *
 * Copyright 2017, Verchenko Andrey <verchenkoag@gmail.com>
 *
*/

#include "minigui.ch"

#define COPYRIGHT  "(c) Copyright by Andrey Verchenko, 2017. All Right Reserved. Dmitrov, Russia."
#define PRG_NAME   "Working with Excel in MiniGui !"
#define PRG_VERS   "Version 0.3"
#define PRG_INFO1  "XLS File Conversion Tool"
#define PRG_INFO2  "(special format) to the CSV file format"
#define PRG_INFO3  "All questions on the e-mail: <verchenkoag@gmail.com>"
#define PRG_INFO4  "Many thanks for your help: Grigory Filatov <gfilatov@inbox.ru>"
#define PRG_INFO5  "Tips and tricks programmers from our forum http://clipper.borda.ru"
#define PRG_INFO6  "SergKis, Igor Nazarov, Pasha, Dima and other..."

///////////////////////////////////////////////////////////////////////////////////////
FUNCTION MsgAbout()
   RETURN MsgInfo( PadC( PRG_NAME + " - " + PRG_VERS , 80 ) + CRLF + CRLF +  ;
                   PadC( COPYRIGHT, 80 ) + CRLF + CRLF + ;
                   PadC( PRG_INFO1, 60 ) + CRLF + ;
                   PadC( PRG_INFO2, 60 ) + CRLF + ;
                   PadC( PRG_INFO3, 60 ) + CRLF + CRLF + ;
                   PadR( PRG_INFO4, 68 ) + CRLF + ;
                   PadR( PRG_INFO5, 68 ) + CRLF + ;
                   PadR( PRG_INFO6, 68 ) + CRLF + CRLF + ;
                   hb_compiler() + CRLF + ;
                   Version() + CRLF + ;
                   MiniGuiVersion() + CRLF + CRLF + ;
                   PadC( "This program is Freeware!", 70 ) + CRLF + ;
                   PadC( "Copying is allowed!", 70 ), "About", "1MAIN_ICON", .F. )

///////////////////////////////////////////////////////////////////////////////////////
FUNCTION MsgAboutDim(nVal)
   LOCAL aDim := { COPYRIGHT, PRG_INFO1, PRG_INFO2, PRG_INFO3 }
   DEFAULT nVal := 1
   RETURN aDim[nVal] 
